package com.ruoyi.project.reliability.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.reliability.domain.TSafetyvavle;

/**
 * 安全阀清单Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-01
 */
public interface TSafetyvavleMapper 
{
    /**
     * 查询安全阀清单
     * 
     * @param id 安全阀清单ID
     * @return 安全阀清单
     */
    public TSafetyvavle selectTSafetyvavleById(Long id);


    public List<TSafetyvavle> selectTSafetyvavleList(TSafetyvavle tSafetyvavle);

    /**
     * 定时任务查询安全阀清单列表
     *
     * @param tSafetyvavle 安全阀清单
     * @return 安全阀清单集合
     */
    public List<TSafetyvavle> selectList(TSafetyvavle tSafetyvavle);

    /**
     * 新增安全阀清单
     * 
     * @param tSafetyvavle 安全阀清单
     * @return 结果
     */
    public int insertTSafetyvavle(TSafetyvavle tSafetyvavle);

    /**
     * 修改安全阀清单
     * 
     * @param tSafetyvavle 安全阀清单
     * @return 结果
     */
    public int updateTSafetyvavle(TSafetyvavle tSafetyvavle);

    /**
     * 删除安全阀清单
     * 
     * @param id 安全阀清单ID
     * @return 结果
     */
    public int deleteTSafetyvavleById(Long id);

    /**
     * 批量删除安全阀清单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSafetyvavleByIds(Long[] ids);

    /**
     * 批量上传安全阀清单
     *
     * @param ids 需要删除的安全阀清单ID
     * @return 结果
     */
    public int uploadTSafetyvavleByIds(Long[] ids);

    /**
     * 上传安全阀清单信息
     *
     * @param id 安全阀清单ID
     * @return 结果
     */
    public int uploadTSafetyvavleById(Long id);
}
